2019-08-19 03:15 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002478NetSurfAmiga-specificpublic2016-11-22 21:55
ReporterChris Young 
Assigned ToChris Young 
SeveritycrashReproducibilitysometimes 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.6 
Target Version3.6Fixed in Version3.6 
Summary0002478: Freeze on image display/decode
Description"Hello Chris,
since the "dev ci # > 3695" i have very often that the netsurf freeze my
system, when i surf on pages with a lot of pictures. for example
"http://www.motorsport-total.com/f1/". with the version 3695 there is no
problem.
the freeze does not appear always on the same time/page, so i can not send
you a pages that 100% freeze.
the next problem is that no grimreaper appears.
also the last release from 20.10.2016 has this problem.
pages with only a few pictures are not the problem.

i have a sam440flex with 666mhz and radeon 9250. os version 4.1fe
regards
achim"
Steps To ReproduceVisit http://www.motorsport-total.com/f1/
Additional InformationSerial debug log (debug kernel):

[InternalRemHead] *** Warning: List 0x5C264FDC corrupt at node 0x5C264030
Dump of context at 0x7FDBB3E0
Trap type: DSI exception
Machine State (raw): 0x0002F030
Machine State (verbose): [ExtInt on] [User] [FPU on] [IAT on] [DAT on]
Instruction pointer: 0x01416AD0
Crashed process: Apps:Internet/NetSurf/NetSurf (0x57045600)
 0: 00000000 5964B640 00000000 01C045B0 5964B438 00000020 00000200 00000004
 8: 01DCA936 00000000 00000000 00000000 48442248 5966BF50 5FF6D320 01C90000
16: 00000000 00000000 01DCDCC2 00000010 00000010 00001000 01C90000 01C90000
24: 01451798 00000000 01C90000 7FFFAD80 01C90000 01C00000 5C264030 5C264FDC
CR: 48422242 XER: 20000004 CTR: 01412608 LR: 01416B50
ESR: 00800000
DEAR: 00000004
mcsrr0: 0x00000000
csrr0: 0x00000000

Disassembly of crash site:
 01416AC0: 901F0000 stw r0,0(r31)
 01416AC4: 801E0004 lwz r0,4(r30)
 01416AC8: 813E0000 lwz r9,0(r30)
 01416ACC: 387D45B0 addi r3,r29,17840
>01416AD0: 90090004 stw r0,4(r9)
 01416AD4: 4BFF1505 bl 0x1407FD8
 01416AD8: 2F830000 cmpwi cr7,r3,0
 01416ADC: 3C00CACC lis r0,-13620
 01416AE0: 6000CCCC ori r0,r0,52428
 01416AE4: 419E000C beq- cr7,0x1416AF0

Dump of all active TLB's
MaxTLB = 43, NextTLB = 18
   TS Effective Physical Size TID WIMG XWRXWR
 0 1 0x57911000 0x0_03D54000 4k 0 0x0 0x1B
 1 1 0x5B077000 0x0_00F27000 4k 0 0x0 0x1B
 2 1 0x575E3000 0x0_1A00C000 4k 0 0x0 0x1B
 3 1 0x55F25000 0x0_19E8E000 4k 0 0x0 0x1B
 4 1 0x57753000 0x0_03EEC000 4k 0 0x0 0x1B
 5 1 0x57916000 0x0_03BF5000 4k 0 0x0 0x1B
 6 1 0x57045000 0x0_0359E000 4k 0 0x0 0x1B
 7 1 0x5FF22000 0x0_00115000 4k 0 0x0 0x1B
 8 1 0x55E9C000 0x0_19FBC000 4k 0 0x0 0x1B
 9 1 0x5B7F2000 0x0_009C2000 4k 0 0x0 0x1B
10 1 0x5BF74000 0x0_1F1B6000 4k 0 0x0 0x1B
11 1 0x5FF6E000 0x0_0006E000 4k 0 0x0 0x1B
12 1 0x5FF24000 0x0_1FFC0000 4k 0 0x0 0x1B
13 1 0x5FF1E000 0x0_1FF1E000 4k 0 0x0 0x1B
14 1 0x595B6000 0x0_1AA78000 4k 0 0x0 0x1B
15 1 0x5BFC5000 0x0_005DB000 4k 0 0x0 0x1B
16 1 0x5C88D000 0x0_00282000 4k 0 0x0 0x1B
17 1 0x5FE14000 0x0_1FF7C000 4k 0 0x0 0x1B
18 1 0x5FCEC000 0x0_0009B000 4k 0 0x0 0x1B
19 1 0x5FDD1000 0x0_001D2000 4k 0 0x0 0x1B
20 1 0x5C235000 0x0_00F74000 4k 0 0x0 0x1B
21 1 0x5FFA0000 0x0_00052000 4k 0 0x0 0x1B
22 1 0x57A38000 0x0_03A3C000 4k 0 0x0 0x1B
23 1 0x5FE15000 0x0_1FF7D000 4k 0 0x0 0x1B
24 1 0x5FF53000 0x0_1FFF7000 4k 0 0x0 0x1B
25 1 0x5964B000 0x0_1AA19000 4k 0 0x0 0x1B
26 1 0x5A309000 0x0_034E5000 4k 0 0x0 0x1B
27 1 0x5FF4C000 0x0_00070000 4k 0 0x0 0x1B
28 1 0x5CA20000 0x0_1FCDC000 4k 0 0x0 0x1B
29 1 0x575EF000 0x0_03F27000 4k 0 0x0 0x1B
30 1 0x7FDD9000 0x0_03D2A000 4k 0 0x0 0x1B
31 1 0x5A395000 0x0_0304C000 4k 0 0x0 0x1B
32 1 0x57758000 0x0_03D7F000 4k 0 0x0 0x1B
33 1 0x7FDBB000 0x0_1A0BB000 4k 0 0x0 0x1B
34 1 0x5750A000 0x0_1A02B000 4k 0 0x0 0x1B
35 1 0x5FF4F000 0x0_0007E000 4k 0 0x0 0x1B
36 1 0x5FFAA000 0x0_00057000 4k 0 0x0 0x1B
37 1 0x5FF9D000 0x0_0005B000 4k 0 0x0 0x1B
38 1 0x5B7F6000 0x0_00B9B000 4k 0 0x0 0x1B
39 1 0x6FDBC000 0x0_02BE0000 4k 0 0x0 0x2D
40 1 0x5C243000 0x0_00BCA000 4k 0 0x0 0x1B
41 1 0x5B05F000 0x0_02BD1000 4k 0 0x0 0x1B
42 1 0x543E5000 0x0_061D5000 4k 0 0x0 0x1B
43 1 0x5FFB8000 0x0_1FFF0000 4k 0 0x0 0x1B
-------------------------------------------------------------------
44 1 0x01E40000 0x0_01E40000 256k 0 0x0 0x1B
45 1 0x01E00000 0x0_01E00000 256k 0 0x0 0x1B
46 1 0x01D00000 0x0_01D00000 1M 0 0x0 0x1B
47 1 0x01C00000 0x0_01C00000 1M 0 0x0 0x1B
48 1 0x01B00000 0x0_01B00000 1M 0 0x0 0x2D
49 1 0x01A00000 0x0_01A00000 1M 0 0x0 0x2D
50 1 0x01900000 0x0_01900000 1M 0 0x0 0x2D
51 1 0x01800000 0x0_01800000 1M 0 0x0 0x2D
52 1 0x01700000 0x0_01700000 1M 0 0x0 0x2D
53 1 0x01600000 0x0_01600000 1M 0 0x0 0x2D
54 1 0x01500000 0x0_01500000 1M 0 0x0 0x2D
55 1 0x01400000 0x0_01400000 1M 0 0x0 0x2D
56 1 0x01300000 0x0_01300000 1M 0 0x0 0x0B
57 1 0x01200000 0x0_01200000 1M 0 0x0 0x0B
58 1 0x01100000 0x0_01100000 1M 0 0x0 0x0B
59 1 0x01000000 0x0_01000000 1M 0 0x0 0x0B
60 0 0xE0000000 0x0_E0000000 256M 0 0x5 0x1B
61 1 0xE0000000 0x0_E0000000 256M 0 0x5 0x1B
62 0 0x10000000 0x0_10000000 256M 0 0x0 0x3F
63 0 0x00000000 0x0_00000000 256M 0 0x0 0x3F
Fault caused by store operation

Kernel command line: debuglevel=0 munge

Registers pointing to code:

TagsNo tags attached.
Fixed in CI build #3743
Reported in CI build #3739
URL of problem pagehttp://www.motorsport-total.com/f1/
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0001412

Chris Young (developer)

Potential workaround in CI3743 (reverted back to less accurate scaling)
Chris Young

~0001413

Chris Young (developer)

Reverted back to previous method of scaling.
Vincent Sanders

~0001424

Vincent Sanders (administrator)

this issue has been closed because it is included in the 3.6 release
+Notes

-Issue History
Date Modified Username Field Change
2016-10-23 19:02 Chris Young New Issue
2016-10-23 19:02 Chris Young Status new => assigned
2016-10-23 19:02 Chris Young Assigned To => Chris Young
2016-10-23 19:02 Chris Young File Added: ns.log.gz
2016-10-23 19:09 Chris Young Additional Information Updated View Revisions
2016-10-23 19:40 Chris Young Note Added: 0001412
2016-10-23 19:40 Chris Young Status assigned => confirmed
2016-10-25 18:18 Chris Young Fixed in CI build # => 3743
2016-10-25 18:18 Chris Young Note Added: 0001413
2016-10-25 18:18 Chris Young Status confirmed => resolved
2016-10-25 18:18 Chris Young Fixed in Version => 3.6
2016-10-25 18:18 Chris Young Resolution open => fixed
2016-11-22 21:55 Vincent Sanders Note Added: 0001424
2016-11-22 21:55 Vincent Sanders Status resolved => closed
+Issue History